Package com.google.protobuf

## Class GeneratedMessageLite.GeneratedExtension<ContainingType extends MessageLite,​Type>

- java.lang.Object
- - com.google.protobuf.GeneratedMessageLite.GeneratedExtension<ContainingType,​Type>

Enclosing class:
  GeneratedMessageLite

    public static class GeneratedMessageLite.GeneratedExtension<ContainingType extends MessageLite,​Type>
    extends java.lang.Object

Lite equivalent to `GeneratedMessage.GeneratedExtension`. Users should ignore the contents of this class and only use objects of this type as parameters to extension accessors and ExtensionRegistry.add().

### Method Summary

All Methods Instance Methods Concrete Methods
`ContainingType` `getContainingTypeDefaultInstance()` Default instance of the type being extended, used to identify that type.
`MessageLite` `getMessageDefaultInstance()` If the extension is an embedded message or group, returns the default instance of the message.
`int` `getNumber()` Get the field number.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getContainingTypeDefaultInstance

    public ContainingType getContainingTypeDefaultInstance()

Default instance of the type being extended, used to identify that type.

#### getNumber

    public int getNumber()

Get the field number.

#### getMessageDefaultInstance

    public MessageLite getMessageDefaultInstance()

If the extension is an embedded message or group, returns the default instance of the message.